Name:           xarchon
Version:        0.50
Release:        %mkrel 2

Summary:        XArchon is a chess with a twist board game
Group:          Games/Boards
License:        GPL+
URL:            http://xarchon.seul.org/
Source0:        http://xarchon.seul.org/%{name}-%{version}.tar.xz
Source1: %{name}.png
Source2: %{name}.appdata.xml
Patch0: %{name}-fonts.patch
Patch1: %{name}-destdir.patch
Patch2: http://ftp.debian.org/debian/pool/main/x/%{name}/%{name}_0.50-10.1.diff.gz
Patch3: xarchon-0.50-gcc43.patch
BuildRequires:  desktop-file-utils ImageMagick
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}gtk+-devel
BuildRequires: %{_lib}xpm-devel


%description
X ARCHON is a clone of the golden oldie ARCHON game created by Freewall Associates and distributed by Electronic Arts. ARCHON, in its simplest form, resembles a strange game of chess. But no one ever said that Archon was a simple game. When a piece is challenged a duel ensues between the two pieces until one of the pieces is dead. Combine with spells and fantastic units, and you have a very small taste of Archon.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1


%build
%configure --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir} \
           --disable-rpath

%make 
convert -resize 64x64 data/icon.xpm %{name}.png


rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

%__install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/%name.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=XArchon
Comment=Clone of ARCHON game
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=BoardGame;Game;X-MandrivaLinux-MoreApplications-Games-Boards;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/appdata

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%_gamesbindir/%name
%_mandir/man6/%name.6*
%dir %_gamesdatadir/%name/
%_gamesdatadir/%name/*
%{_datadir}/applications/%{name}.desktop
%_iconsdir/%name.png
%{_datadir}/appdata/xarchon.appdata.xml

%changelog
* Sun Mar 27 2016 Ken <lxgator at gmail.com> 0.50-2pclos2016
- build for 64bit

* Wed Apr 02 2008 Stumpy842 <stump842@gmail.com> 0.50-1pclos_mypclinuxos
- import for pclos


